#!/bin/bash
source /etc/ansiblepulldeploy/ansiblepulldeploy.conf

if [[ "$on_repoupdate" =~ [Tt]rue ]]; then
    ansible_pull_options="${ansible_pull_options} --only-if-changed"
fi

if [[ "$gpg_verify" =~ [Tt]rue ]]; then
    ansible_pull_options="${ansible_pull_options} --verify-commit"
fi

if [[ "$accept_host_key" =~ [Tt]rue ]]; then
    ansible_pull_options="${ansible_pull_options} --accept-host-key"
fi

if [ "$deploy_key" != "" ]; then
    ansible_pull_options="${ansible_pull_options} --private-key $deploy_key"
fi

if [ "$vault_password_file" != "" ]; then
    ansible_pull_options="${ansible_pull_options} --vault-password-file $vault_password_file"
fi

if [ "$branch" != "" ]; then
    ansible_pull_options="${ansible_pull_options} --checkout $branch"
fi

ansible_pull_command="ansible-pull ${ansible_pull_options} --url ${git_url}"

counter=0
max_counter=20

# loop - waiting for network connection
while [ $counter -lt $max_counter ]; do
    $ansible_pull_command && exit 0
    ((counter++))
    sleep $(( $counter * 30 ))
done

exit 0

